spring.application.name=AMOS-EQUIPMANAGE
server.servlet.context-path=/equip
server.port=8100
#server.servlet.context-path=/case
spring.profiles.active=dev
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#mybatis mapper file
mybatis.mapper-locations=classpath:mapper/*.xml
#mybatis-plus
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
# mybatis entity package
mybatis.type-aliases-package=com.yeejoin.equipmanage.common.entity
spring.jackson.time-zone=GMT+8
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#pagehelper \u5206\u9875\u63D2\u4EF6
pagehelper.helper-dialect=mysql
pagehelper.params=count=countSql
pagehelper.reasonable=false
pagehelper.support-methods-arguments=true
spring.main.allow-bean-definition-overriding=true
#liquibase
spring.liquibase.change-log=classpath:/changelog/changelog-master.xml
spring.liquibase.enabled=true
#\u5355\u4E2A\u6587\u4EF6\u6700\u5927\u5927\u5C0F
spring.servlet.multipart.maxFileSize=100MB
spring.servlet.multipart.maxRequestSize=100MB
#saveUserRedis\u8FC7\u671F\u65F6\u95F428\u5929
#redis_region_time_second=2419200
patrol.fegin.name=AMOS-PATROL
maintenance.feign.name=AMOS-MAINTENANCE-API
precontrol.feign.name=JEPCC-PRECONTROL-SERVER
security.privilege.name=AMOS-API-PRIVILEGE
security.systemctl.name=AMOS-API-SYSTEMCTL
#jpush
Push.fegin.name=AppMessagePushService
dutyMode.fegin.name=AMOS-DUTYMODE
riskSource.feign.name=AMOS-AUTOSYS
equipManage.name=AMOS-EQUIPMANAGE
iot.vehicle.track=AMOS-API-IOT
jcs.fegin.name=JCS
video.fegin.name=VIDEO
#项目初始化画布id
morphic.projectSeq=1390314016458514433
#wl_equipment_category 表id （取火灾报警系统id）
equipment.fire.systemid=1302870628873932802
equipment.type=2
equipment.hierarchy=1,2,4,6
#装备查询根据装备类型编码过滤，4为过滤掉车相关数据，多个的话，添加方式为4,5
equipment.filter.code=4
#wl_equipment_category 编码  92040000 为消防行业 火灾系统分类编码
equip.system.alarm.code=92040000
#wl_equipment_category 编码  50000000 为安防行业 摄像头分类编码
equip.security.code=50000000
## redis失效时间
redis.cache.failure.time=10800
#平台字典配置项
systemctl.dict.iot-core-param=IOT_CORE_PARAM
systemctl.dict.area-type=AREA_TYPE
systemctl.dict.allow-operation=ALLOW_OPERATION
systemctl.dict.build-type=BUILD_TYPE
systemctl.dict.build-use-type=BUILD_USE_TYPE
systemctl.dict.building-structure-type=BUILDING_STRUCTURE_TYPE
equip.dict.car-state=CarState
equip.dict.name-key=FireCar_GDLongitude,FireCar_GDLatitude
#Project application topic
mqtt.vehicle.topic=${equipManage.name}.vehicle.state
equip.point.equipmentdata.topic=${equipManage.name}.equipment.state
equip.index.topic=${equipManage.name}.equipment.index.state
equip.iot.monitor.topic=team/station/monitor/matrix
# 接口地址
equip.scene.detail.url=${server.servlet.context-path}/scene/%s/detail/list
equip.point.equipmentdata.url=${server.servlet.context-path}/equipSpecific/getAll?id=
equip.point.speindex.url=${server.servlet.context-path}/fire-fighting-system/getSpeIndex?id=
equip.point.equipmentDetail.url=${server.servlet.context-path}/equipSpecific/getOneCard?id=
#组态获取系统详情接口地址
firefightingsystem.detail.url=${server.servlet.context-path}/fire-fighting-system/getSystemById?id=
#组态获取分页接口地址
firefightingsystem.equip.alarms.url=${server.servlet.context-path}/fire-fighting-system/getEquipmentAlarmBySystemIdOrSourceIdVO
building.detail=${server.servlet.context-path}/building/findByInstanceId
building.floor.detail=${server.servlet.context-path}/building/getBuildDetaliByFloorId?instanceId=
dcs.client-id=fire_system
dcs.grant-type=client_credentials
dcs.scope=all
dcs.token-key=dcs_token_key
dcs.client.secret=fire_system
dcs.x.hw.id=NR_REST_APP
dcs.x.hw.appKey=s+YkvQhwilx91TRJHhNDmw==

# 权限标识-物联区域
auth-key-area=area_info
# 权限标识-消防系统
auth-key-fire-system=fire_system_info
# 权限标识-消防装备
auth-key-fire-equip=fire_equip_info
# 权限标识-消防视频
auth-key-fire-video=fire_video_info
# 权限标识-消防建筑视频
auth-key-fire-build-video=fire_build_video_info
# 权限标识-消防车辆
auth-key-fire-car=fire_car_info
# 权限标识-消防建筑
auth-key-fire-building=fire_building_info

redis_car_type_count = carTypeAndCount

redis_equip_type_count = equipTypeAndCount